Bug 1048880 - [vdsm][openstacknet] Migration fails for vNIC using OVS + security groups
Summary: [vdsm][openstacknet] Migration fails for vNIC using OVS + security groups
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.2
Assignee: Barak
QA Contact: Michael Burman
URL:
Whiteboard: network
Depends On:
Blocks: 1151019 1193058
TreeView+ depends on / blocked
 
Reported: 2014-01-06 12:47 UTC by Mike Kolesnik
Modified: 2016-02-10 19:37 UTC (History)
14 users (show)

Fixed In Version: ovirt-3.5.1_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-29 06:18:54 UTC
oVirt Team: Network


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 34406 0 master MERGED openstacknet: Fix migration when using security groups Never
oVirt gerrit 35961 0 ovirt-3.5 MERGED openstacknet: Fix migration when using security groups Never

Description Mike Kolesnik 2014-01-06 12:47:53 UTC
Description of problem:
Migration fails because the hybrid bridge doesn't exist.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Need to add a pre-migration hook that creates the hybrid bridge

Comment 2 Dan Kenigsberg 2014-01-16 11:18:16 UTC
We should also recreated the security groups facilities before reviving a hibernated VM (at may already be working, based on the vm_create hook, but should be verified).

Comment 3 Sandro Bonazzola 2014-03-04 09:19:25 UTC
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.

Comment 4 Martin Pavlik 2014-03-26 09:03:10 UTC
Please add Steps to Reproduce.

Comment 5 Dan Kenigsberg 2014-05-01 09:09:45 UTC
To reproduce the bug:
- create a setup of ovirt with a Neutron OVS network having security group.
- start a VM that is connected to that network.
- migrate the VM to another host
  - alternatively: hibernate the VM, and re-run it.

In both cases, the VM should be running on the destination, having network connectivity.

Comment 6 Sandro Bonazzola 2014-07-18 09:43:03 UTC
This is an automated message.
oVirt 3.4.3 has been released while this bug was still open.
The bug has been re-targeted to 3.4.4 accordingly.

Comment 8 Sandro Bonazzola 2015-01-15 14:21:53 UTC
This bug is referenced in 3.5.1 RC1 code and is in modified state.
Please verify that this is solved in 3.5.1 RC1 and set target release accordingly

Comment 9 Sandro Bonazzola 2015-01-15 14:25:54 UTC
This is an automated message: 
This bug should be fixed in oVirt 3.5.1 RC1, moving to QA

Comment 10 Michael Burman 2015-03-01 07:35:21 UTC
Hi Sandro, Barak

Fixed In Version: ovirt-3.5.1_rc1..
Is oVirt 3.5.1 RC1=rhevm-3.5.1-0.1.el6ev.noarch ??
This bug can be verified on rhevm-3.5.1-0.1.el6ev.noarch(vt14)?

Best regards,

Comment 11 Michael Burman 2015-03-08 10:12:41 UTC
Verified on - 3.5.1-0.1.el6ev
with vdsm-4.16.12-2.el7ev.x86_64 and openstack-neutron-2014.1.3-11.el7ost.noarch

Comment 12 Eyal Edri 2015-04-29 06:18:54 UTC
ovirt 3.5.2 was GA'd. closing current release.


Note You need to log in before you can comment on or make changes to this bug.